VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes
vmware::appliance::techpreview::monitoring::SnmpTypes Class Reference

Defines the data types of the Snmp API service. More...

## Classes
class | SNMPAuthProto
| `Snmp.SNMPAuthProto` enumerated type Defines SNMP authentication protocols More...
class | SNMPConfig
| `Snmp.SNMPConfig` class Structure that defines the SNMP configuration, provided as input to set(), and never the result of get(). More...
class | SNMPConfigReadOnly
| `Snmp.SNMPConfigReadOnly` class Structure that defines the SNMP configuration, the result of get(), and never provided as input to set(). More...
class | SNMPHashConfig
| `Snmp.SNMPHashConfig` class Structure to provide up to two secrets to combine with the SNMPv3 engine ID and authentication or privacy protocol to form a localized hash. More...
class | SNMPHashResults
| `Snmp.SNMPHashResults` class Structure to provide operators diagnostics test results. More...
class | SNMPLimits
| `Snmp.SNMPLimits` class Structure that provides various limits of the SNMP agent. More...
class | SNMPPrivProto
| `Snmp.SNMPPrivProto` enumerated type Defines SNMP privacy protocols More...
class | SNMPRemoteUser
| `Snmp.SNMPRemoteUser` class Structure that defines a user at particular remote SNMPv3 entity needed when using informs. More...
class | SNMPSecLevel
| `Snmp.SNMPSecLevel` enumerated type Defines SNMP decurity levels More...
class | SNMPStats
| `Snmp.SNMPStats` class Structure to provide operators diagnostics on snmp agent itself. More...
class | SNMPTestResults
| `Snmp.SNMPTestResults` class Structure to provide operators diagnostics test results. More...
class | SNMPUser
| `Snmp.SNMPUser` class Structure that defines information associated with an SNMP user. More...
class | SNMPv1TrapTarget
| `Snmp.SNMPv1TrapTarget` class Structure that defines an SNMP v1/v2c trap target. More...
class | SNMPv3Notfication
| `Snmp.SNMPv3Notfication` enumerated type Defines SNMP v3 notification types More...
class | SNMPv3Target
| `Snmp.SNMPv3Target` class Structure that defines an SNMP v3 inform or trap target. More...

## Detailed Description

Defines the data types of the Snmp API service.

The documentation for this class was generated from the following file:

- SnmpTypes.cs